//CFTTAndroidAppCInterface - [2020-04-13 11:57:46]
#ifndef _CFTTANDROIDAPPCINTERFACE_H_
#define _CFTTANDROIDAPPCINTERFACE_H_

#include "common.h"

//-------------------------------------------------------------------------------------------------
typedef int (*func_pApp)(void* );

namespace CFTTAndroidAppCInterface {
extern func_pApp m_OnStart;
extern func_pApp m_OnCreate;
extern func_pApp m_ResignActive;
extern func_pApp m_BecomeActive;
extern func_pApp m_DidEnterBackground;
extern func_pApp m_WillTerminate;
extern func_pApp m_ReceivedUrgentMemWarning;
extern func_pApp m_RenderScene;
extern func_pApp m_WillEnterForeground;
extern bool m_bAppHasFocus;
extern bool m_bAppInForeground;
}  //namespace CFTTAndroidAppCInterface

//-------------------------------------------------------------------------------------------------
//001F6934
int AppStart();

//001F6838
int AppOnStart(void* parg);

//001F6820
int AppOnCreate(void* parg);

//001F6840
int AppResignActive(void* parg);

//001F686C
int AppBecomeActive(void* parg);

//001F689C
int AppDidEnterBackground(void* parg);

//001F68CC
int AppWillEnterForeground(void* parg);

//001F683C
int AppReceivedUrgentMemoryWarning(void* parg);

//001F6898
int AppWillTerminate(void* parg);

//001F6928
int AppRenderScene(void* parg);

//001F6954
void AppSetupCallbacks();
//-------------------------------------------------------------------------------------------------

#endif  //_CFTTANDROIDAPPCINTERFACE_H_